Search Entities

Search for entities across various criteria.

Query Params
string

Searches the query across multiple fields. The default type is best_field, which finds documents matching any field but scores based on the best match. Minimum length is 2 characters. Supports fuzzy search.

filter
object

Enables filtering of entities based on exact values and range conditions. Supports structured fields such as address, financials, and metadata.

match
object

Supports partial or prefix-based text matching across key entity attributes. Prefix search is applied to fields like city, tradeRegisterID, and branchNumber, while general matching is used for postalCode, street, organizationName, name, and tradeNames.

sort
array of objects

Comma-separated list of fields used to sort the results, following JSON:API sorting conventions. Prefix a field with - to sort in descending order (default is ascending).
Defaults to sorting by -id (descending).

sort
aggregate
object

A query parameter that defines the data aggregation to be performed on the search results. It allows you to specify a comma-separated list of fields to group by and to define the size of each aggregation bucket.

boolean

Enables fuzzy search when set to true. Fuzziness is based on Levenshtein Edit Distance — the number of one-character changes needed to match another string.

page
object

Controls pagination for a collection of resources, allowing clients to request a specific page and specify the number of resources per page.

Responses

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/vnd.api+json